5 votos

Firefox 39 se bloquea

Ya he preguntado esto en el soporte de Firefox, pero todavía no hay respuesta, así que tal vez alguien aquí sabe cómo solucionar esto.

Después de actualizar Firefox a la versión 39 no puedo usarlo en absoluto, se bloquea todo el tiempo, ni siquiera pude escribir esta pregunta desde Firefox. He hecho clic en el botón "Actualizar Firefox", también he reiniciado con los complementos desactivados, también he reinstalado Firefox pero nada de eso ayuda. Los bloqueos son aleatorios, después de 5-6 minutos de navegación.

Puede ver los informes de accidentes aquí: https://support.mozilla.org/en-US/questions/1071421

EDIT: He instalado la edición para desarrolladores de Firefox y de momento no se ha producido ningún fallo

0 votos

Yo también tengo este problema. Hoy se ha bloqueado al menos 20 veces. ¿Crees que podríamos esperar una actualización para arreglar esto? No quiero cambiar mi rama de firefox.

0 votos

@MakisH Debería arreglarse pronto, muchos usuarios informaron de este problema: support.mozilla.org/en-US/questions/1071421

0 votos

Para mí fue probablemente el plugin freshplayer. Lo he eliminado y ahora es estable de nuevo. :-)

1voto

user3487411 Puntos 11

Después de muchos intentos, tengo una solución para esto. El problema radica en la versión 39 de Firefox y el plugin de Flash. Ya sea el flash de Adobe o el de Pepper.

Lo que he hecho es borrar totalmente los plugins de flash, instalar el flash de Pepper, y descargar Firefox 39 de Mozilla, y sobreescribir Firefox 39, que venía de los repositorios de Ubuntu.

Lo primero es borrar todas las instalaciones de Adobe flash

dpkg-query -l | egrep 'flash|fresh'

Ahora elimine estos con la opción de purga, utilizando los nombres de los archivos devueltos por el comando dpkg-query:

dpkg --purge <file_names>

Ahora puedes instalar el pepperflash desde webupd8:

sudo apt-get install pepperflashplugin-nonfree
sudo add-apt-repository ppa:nilarimogard/webupd8
sudo apt-get update
sudo apt-get install freshplayerplugin

Ahora tendrás que descargar la última versión de Firefox de Mozilla, ya que la versión de Ubuntu parece tener problemas. El primer paso es hacer una copia de seguridad, por si acaso se rompe algo:

sudo tar -cvPpf ~/Firefox-backup.tar /usr/lib/firefox*
sudo wget -P /usr/lib/firefox https://download-installer.cdn.mozilla.net/pub/firefox/releases/39.0/linux-x86_64/en-US/firefox-39.0.tar.bz2
sudo tar -C /usr/lib/ -jxvf /usr/lib/firefox/firefox-39.0.tar.bz2

Ahora deberías poder iniciar Firefox y ver vídeos sin los constantes bloqueos.

0voto

ALAN WARD Puntos 389

Acabo de actualizar desde los repositorios de confianza sin ningún problema.

Con este tipo de problema, en primer lugar probaría a quitar el firefox por completo y volver a instalarlo; algo parecido:

sudo bash
aptitude update
aptitude purge firefox
aptitude install firefox

(Si no usas/te gusta aptitude, entonces apt-get también debería funcionar de la misma manera).

Otro truco que a veces me ha funcionado es purgar las cachés que usa Firefox. Si no te importa tener que crear de nuevo tu configuración, marcadores, etc., entonces puedes limpiar todo eso con:

 rm -r ~/.mozilla/firefox ~/.cache/mozilla/firefox

y la próxima vez que inicies Firefox debería volver a crear los directorios apropiados automáticamente.

En su defecto, también es posible que exista un error en las dependencias entre paquetes, por ejemplo, debido a una instalación incompleta de firefox sin todos los paquetes dependientes necesarios. En este caso, también puede ser necesaria la actualización completa del sistema:

aptitude safe-upgrade

Los paquetes para la versión 38 de Firefox todavía parecen estar físicamente en el servidor de Ubuntu (lista aquí: http://archive.ubuntu.com/ubuntu/pool/universe/f/firefox/ ). Lamentablemente, no parece posible rebajar de 39 a 38 utilizando las instrucciones que se encuentran en las respuestas a la pregunta anterior ¿Cómo se baja un paquete mediante apt-get? . apt-cache sólo conoce las versiones 39 y 28 en este momento, ha "olvidado" todas las versiones intermedias.

Espero que eso ayude.

0 votos

He hecho todo lo que has sugerido pero sigue igual. ¿Hay alguna posibilidad de volver a la versión 38?

0 votos

@Alen Añadí la información a mi respuesta. Versión corta: no, no parece posible. O te sale la versión 28, o la 39. Estoy empezando a pensar que tu actualización fue incompleta, con algunos paquetes que no se instalaron completamente. ¿Hubo algún mensaje de error? En cualquier caso, "aptitude safe-upgrade" debería poder ayudar.

0 votos

No, no había ningún mensaje de error. Gracias por tu ayuda, instalé la versión para desarrolladores y ya está bien, la versión 40 será estable pronto así que espero que no cause ningún problema.

EnMiMaquinaFunciona.com

EnMiMaquinaFunciona es una comunidad de administradores de sistemas en la que puedes resolver tus problemas y dudas.
Puedes consultar las preguntas de otros sysadmin, hacer tus propias preguntas o resolver las de los demás.

Powered by: